\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::centroid()
Global Kernel Functions

##

See Also
  `CGAL::barycenter()`

## Functions
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::centroid (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| compute the centroid of the points `p`, `q`, and `r`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::centroid (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r, const CGAL::Point_2< Kernel > &s)
| compute the centroid of the points `p`, `q`, `r`, and `s`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::centroid (const CGAL::Triangle_2< Kernel > &t)
| compute the centroid of the triangle `t`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::centroid (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| compute the centroid of the points `p`, `q`, and `r`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::centroid (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r, const CGAL::Point_3< Kernel > &s)
| compute the centroid of the points `p`, `q`, `r`, and `s`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::centroid (const CGAL::Triangle_3< Kernel > &t)
| compute the centroid of the triangle `t`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::centroid (const CGAL::Tetrahedron_3< Kernel > &t)
| compute the centroid of the tetrahedron `t`.